def label_fct(la):
    la = la.replace("onxpython_compiled", "opy")
    la = la.replace("onxonnxruntime1", "ort")
    la = la.replace("python_compiled", "opy")
    la = la.replace("onnxruntime1", "ort")
    la = la.replace("True", "1")
    la = la.replace("False", "0")
    la = la.replace("max_depth", "mxd")
    la = la.replace("method=predict_proba", "prob")
    la = la.replace("method=predict", "cl")
    la = la.replace("n_estimators=", "nt=")
    la = la.replace("fit_intercept=1", "+biais")
    la = la.replace("fit_intercept=True", "+biais")
    la = la.replace("metric=euclidean", "L2")
    la = la.replace("n_neighbors=", "k")
    la = la.replace("{<class 'sklearn.neighbors._classification.KNeighborsClassifier'>: {'optim': 'cdist'}}",
                    "-cdist")
    la = la.replace("onnx_options=nan", "")
    la = la.replace("onnx_options=", "-o=")
    return la

import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results

name = "../../onnx/results/bench_plot_onnxruntime_knn.perf.csv"
df = pandas.read_csv(name)

plot_bench_results(df, row_cols=['N', 'n_neighbors', 'onnx_options'], col_cols='method',
                   x_value='dim', hue_cols='metric',
                   title=None, label_fct=label_fct, fontsize=12,
                   ax=None, box_side=4)
plt.suptitle("Acceleration onnxruntime / scikit-learn for KNeighborsClassifier")
plt.show()